<!DOCTYPE html>

<html lang="en">

<head>

  {% load static %}
  <link rel="stylesheet" type="text/css" href="{% static 'my_css/record.css'%}">


  <title></title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lato">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>
<style> 

  body {font-family: "Lato", sans-serif}
  .mySlides {display: none}
</style>
<body>


<!-- Navbar -->
  <div class="w3-top">
    <div class="w3-bar w3-black w3-card">
      <a class="w3-bar-item w3-button w3-padding-large w3-hide-medium w3-hide-large w3-right" href="javascript:void(0)" onclick="myFunction()" title="Toggle Navigation Menu"><i class="fa fa-bars"></i></a>
      <a href="{%url 'home'%}" class="w3-bar-item w3-button w3-padding-large">HOME</a>
      <a href="{% url 'insert'%}" class="w3-bar-item w3-button w3-padding-large w3-hide-small">Take Attendance</a>
      <a href="{%url 'timetable'%}" id="TimeTable" class="w3-bar-item w3-button w3-padding-large w3-hide-small">TimeTable</a>
      <a href="{%url 'time'%}" id="time"class="w3-bar-item w3-button w3-padding-large w3-hide-small">Current Date and Time</a>
      <a href="{%url 'about'%}" id="about"class="w3-bar-item w3-button w3-padding-large w3-hide-small">About</a>
      <a href="{%url 'loginuser'%}" class="w3-bar-item w3-button w3-padding-large w3-hide-small">Logout</a>

      <div class="w3-dropdown-hover w3-hide-small">
        <button class="w3-padding-large w3-button" title="More">Student<i class="fa fa-caret-down"></i></button>     
        <div class="w3-dropdown-content w3-bar-block w3-card-4">
          <a href="{% url 'stinsert'%}" class="w3-bar-item w3-button">Add details</a>
          <a href="{% url 'studentinfo'%}" class="w3-bar-item w3-button">Views Details</a>
        </div>

      </div>
    </div>
  </div>


<!-- Navbar on small screens (remove the onclick attribute if you want the navbar to always show on top of the content when clicking on the links) -->
  <div id="navDemo" class="w3-bar-block w3-black w3-hide w3-hide-large w3-hide-medium w3-top" style="margin-top:46px">
    <a href="{%url 'home'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Home</a>
    <a href="{%url 'insert'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Take Attendance</a>
    <a href="{%url 'time'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Current Date and Time</a>
    <a href="{%url 'about'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">About</a>
    <a href="{% url 'stinsert'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Add Details</a>
    <a href="{% url 'studentinfo' %}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Views Details</a>
    <a href="{% url 'loginuser'%}" class="w3-bar-item w3-button w3-padding-large" onclick="myFunction()">Logout</a>
  </div>

  
  <center>
    <h2 style="color: white;margin-top:40px;">Attendance Log<h2>

  <form method="POST">
  {% csrf_token %}  
  <table border="1" style="border-collapse: collapse; width:90%; height:300px; background-color: white; font-size:1.4vw; margin-top:1%;">
    <tr>
      <th style="text-align:center;background-color:#dcc5eb;" colspan="3">Attendance</th>
    </tr>

    <tr>
      <td style="text-align:center;background-color:#dcc5eb;"><b>Time:<b></td>
      <td colspan="2"><input type="time" name="Time" style="border:none;"></td>  
    </tr>
    <tr>
      <td style="text-align:center;background-color:#dcc5eb;"><b>Date:<b></td>
      <td colspan="2"><input type="date" name="Date" style="border: none;"></td>
    </tr>
    <tr>
      <td style="text-align:center; background-color:#dcc5eb;" colspan="1"><b>Course:<b></td>
      <td colspan="2">
        <select style="border: none;"type="text" name="Course" >
          <option>--Course--</option>
          <option>Java</option>
          <option>Python</option>
          <option>Webprogramming</option>
          <option>Software System</option>
          <option>Operating System</option>
          <option>Dzongkha</option>
        </select>  
      </td>
    </tr>
    <tr>
      <td style="text-align:center; background-color:#dcc5eb;"><b>Name</h3></b>
      <td style="text-align:center; background-color:#dcc5eb;"><b>Enrollment</b></td>
      <td style="text-align:center; background-color:#dcc5eb;"><b>ATttedenace</b></td>
    </tr>
  
    <tr class="tr" >
      <td style="background-color:#e0dec5;">Nima</td>
      <td style="background-color:#e0dec5">12200068</td>
      
      <td class="tr" >
        <select class="tr" type="text" name="Nima">
          <option>--Select--</option>
          <option>Present</option>
          <option>Absent</option>
          <option>Sick</option>
          <option>No.Info</option>
          <option>late</option>
        </select>  
      </td>

    </tr>

      <p id="demo" style="width:20%;top:18px;font-size:2vw;">
    <tr class="tr"> 
      <td style="background-color:#e0dec5;">Norbu Dorji</td>
       <td style="background-color:#e0dec5">12200068</td>
      
      <td>
        <select class="tr" type="text" name="Norbu_Dorji">
          <option>--Select--</option>
          <option>Present</option>
          <option>Absent</option>
          <option>Sick</option>
          <option>No.Info</option>
          <option>late</option>
          
        </select>
      </td>
     
    </tr>
    <tr class="tr">

      <td style="background-color:#e0dec5;">Pema chophel</td>
       <td style="background-color:#e0dec5">12200069</td>
       <td>
        <select class="tr" type="text" name="Pema_Chophel">
          <option>--Select--</option>
          <option>Present</option>
          <option>Absent</option>
          <option>Sick</option>
          <option>No.Info</option>
          <option>late</option>
        </select>
       </td>
    </tr>
    <tr class="tr"> 
      <td style="background-color:#e0dec5;">Pema Lhamo</td>
       <td style="background-color:#e0dec5">12200071</td>
     
      <td>
        <select class="tr" type="text" name="Pema_Lhamo">
          <option>--Select--</option>
          <option>Present</option>
          <option>Absent</option>
          <option>Sick</option>
          <option>No.Info</option>
          <option>late</option>
          
        </select>  
      </td>
    
    </tr> 
    <tr class="tr">
      <td style="background-color:#e0dec5">Peme Norbu</td> 
      <td style="background-color:#e0dec5">12200072</td>
   
      <td>
        <select class="tr" type="text" name="Pema_Norbu">
          <option>--Select--</option>
          <option>Present</option>
          <option>Absent</option>
          <option>Sick</option>
          <option>No.Info</option>
          <option>late</option>
          
        </select>  
      </td>
    </tr>
    
  </table><br>
  <input style="width:20%;font-size:2vw; background-color:#89fa9a; border-radius: 6px;"type="submit" name="" value="submit"/><br><br>
  {% if messages %}
  {% for result in messages %}
  <b style="color:white;">{{result}}</b>
  {% endfor %}
  {% endif %}
  </form>
  </center>
  





<script>
// Automatic Slideshow - change image every 4 seconds
var myIndex = 0;
carousel();

function carousel() {
  var i;
  var x = document.getElementsByClassName("mySlides");
  for (i = 0; i < x.length; i++) {
    x[i].style.display = "none";  
  }
  myIndex++;
  if (myIndex > x.length) {myIndex = 1}    
  x[myIndex-1].style.display = "block";  
  setTimeout(carousel, 4000);    
}

// Used to toggle the menu on small screens when clicking on the menu button
function myFunction() {
  var x = document.getElementById("navDemo");
  if (x.className.indexOf("w3-show") == -1) {
    x.className += " w3-show";
  } else { 
    x.className = x.className.replace(" w3-show", "");
  }
}

// When the user clicks anywhere outside of the modal, close it
var modal = document.getElementById('ticketModal');
window.onclick = function(event) {
  if (event.target == modal) {
    modal.style.display = "none";
  }
}
</script>

</body>
</html>










